Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.util.io
Class InputStreamAdapter

    java.lang.Object
      org.neuroph.util.io.InputStreamAdapter

All Implemented Interfaces:
  InputAdapter

Direct Known Subclasses:
  FileInputAdapter, URLInputAdapter

    public class InputStreamAdapter

extends Object
implements InputAdapter

Implementation of InputAdapter interface for reading neural network inputs from input stream.

Author:
  Zoran Sevarac
See Also:
  `InputAdapter`

Field Summary
`protected BufferedReader` | `bufferedReader`

Constructor Summary
`InputStreamAdapter(BufferedReader bufferedReader)`
`InputStreamAdapter(InputStream inputStream)`

Method Summary
`void` | `close()` Close data source after reading is finnished.
`double[]` | `readInput()` Reads input from data source and returns input for neural network as array of doubles.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bufferedReader

    protected BufferedReader bufferedReader

Constructor Detail

### InputStreamAdapter

    public InputStreamAdapter(InputStream inputStream)

### InputStreamAdapter

    public InputStreamAdapter(BufferedReader bufferedReader)

Method Detail

### readInput

    public double[] readInput()

  Description copied from interface: `InputAdapter`
  Reads input from data source and returns input for neural network as array of doubles.

  Specified by:
    `readInput` in interface `InputAdapter`
  Returns:
    neural network input as array of doubles

### close

    public void close()

  Description copied from interface: `InputAdapter`
  Close data source after reading is finnished. Free resources and perform cleanup.

  Specified by:
    `close` in interface `InputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.